
Redmine - Defect #31510

Fix missing closing tags in workflows/permissions.html.erb

2019-06-04 05:02 - Enziin System

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

In the view/workflows/permissions.html.erb

Row 19:

<a href="#" data-expands="#role_id"><span class="toggle-multiselect icon-only icon-toggle-plus"></a>

Row 24:

<a href="#" data-expands="#tracker_id"><span class="toggle-multiselect icon-only icon-toggle-plus"></a>

Missing close tag for span.

Please use an editor support check syntax (ex: Rubymine)

Related issues:

Related to Redmine - Patch #21256: Use CSS instead of image_tag() to show ico... Closed

Associated revisions

Revision 18323 - 2019-06-29 09:22 - Go MAEDA

Fix missing closing tags in workflows/permissions.html.erb (#31510).

Contributed by Enziin System.

History

#1 - 2019-06-04 05:54 - Marius BĂLTEANU

- Category changed from UI to Code cleanup/refactoring

- Status changed from New to Confirmed

Enziin System wrote:

In the view/workflows/permissions.html.erb

Row 19:

<a href="#" data-expands="#role_id"><span class="toggle-multiselect icon-only icon-toggle-plus"></a>

Row 24:

<a href="#" data-expands="#tracker_id"><span class="toggle-multiselect icon-only icon-toggle-plus"></a>

Missing close tag for span.

 Thanks for finding this issue, it seems to be an old problem introduced by r15068.

Please use an editor support check syntax (ex: Rubymine)

 Please believe me that I’m doing my best.
https://www.redmine.org/projects/redmine/repository/svn/revisions/15068


#2 - 2019-06-04 07:30 - Go MAEDA

- Related to Patch #21256: Use CSS instead of image_tag() to show icons for better theming support added

#3 - 2019-06-29 09:28 - Go MAEDA

- Subject changed from Error syntax in workflows/permissions.html.erb to Fix missing closing tags in workflows/permissions.html.erb

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Target version set to 4.1.0

- Resolution set to Fixed

Committed the fix. Thank you for reporting this issue.
